<mamecheat version="1">

  <cheat desc="Infinite Credits">
    <script state="run">
      <action>maincpu.pb@1001CD=09</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL1">
    <script state="run">
      <action>maincpu.pb@1002ED=07</action>
    </script>
  </cheat>

  <cheat desc="Infinite Bombs PL1">
    <script state="run">
      <action>maincpu.pb@100D73=05</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL1">
    <script state="run">
      <action>maincpu.pb@100D71=01</action>
    </script>
  </cheat>

  <cheat desc="Maximum Fire Power PL1">
    <script state="run">
      <action>maincpu.pb@100D7C=1D</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL2">
    <script state="run">
      <action>maincpu.pb@1002EF=07</action>
    </script>
  </cheat>

  <cheat desc="Infinite Bombs PL2">
    <script state="run">
      <action>maincpu.pb@100E33=05</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL2">
    <script state="run">
      <action>maincpu.pb@100E31=01</action>
    </script>
  </cheat>

  <cheat desc="Maximum Fire Power PL2">
    <script state="run">
      <action>maincpu.pb@100E3C=1D</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Select Region"> <comment>This cheat sets the machine region - the effectiveness may vary! You have to enable this ASAP - ON or before the ROM check screen! Or enable + RESET</comment>
    <parameter>
      <item value="0x00">Japan</item>
      <item value="0x01">USA</item>
      <item value="0x02">Euro</item>
      <item value="0x03">Hong Kong</item>
      <item value="0x04">Taiwan</item>
      <item value="0x05">Korea</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@1000DF=param</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
